diff --git a/src/db/sysdb_ops.c b/src/db/sysdb_ops.c
index ca23fad..a6abdce 100644
--- a/src/db/sysdb_ops.c
+++ b/src/db/sysdb_ops.c
@@ -132,8 +132,8 @@ int sysdb_delete_entry(struct sysdb_ctx *sysdb,
         }
         /* fall through */
     default:
-        DEBUG(1, ("LDB Error: %s(%d)\nError Message: [%s]\n",
-                  ldb_strerror(ret), ret, ldb_errstring(sysdb->ldb)));
+        DEBUG(1, "LDB Error: %s(%d)\nError Message: [%s]\n",
+                  ldb_strerror(ret), ret, ldb_errstring(sysdb->ldb));
         return sysdb_error_to_errno(ret);
     }
 }
@@ -170,19 +170,19 @@ int sysdb_delete_recursive(struct sysdb_ctx *sysdb,
             ret = EOK;
         }
         if (ret) {
-            DEBUG(6, ("Search error: %d (%s)\n", ret, strerror(ret)));
+            DEBUG(6, "Search error: %d (%s)\n", ret, strerror(ret));
         }
         goto done;
     }
 
-    DEBUG(SSSDBG_TRACE_ALL, ("Found [%zu] items to delete.\n", msgs_count));
+    DEBUG(SSSDBG_TRACE_ALL, "Found [%zu] items to delete.\n", msgs_count);
 
     qsort(msgs, msgs_count,
           sizeof(struct ldb_message *), compare_ldb_dn_comp_num);
 
     for (i = 0; i < msgs_count; i++) {
-        DEBUG(9 ,("Trying to delete [%s].\n",
-                  ldb_dn_get_linearized(msgs[i]->dn)));
+        DEBUG(9 ,"Trying to delete [%s].\n",
+                  ldb_dn_get_linearized(msgs[i]->dn));
 
         ret = sysdb_delete_entry(sysdb, msgs[i]->dn, false);
         if (ret) {
@@ -280,10 +280,10 @@ int sysdb_search_entry_by_sid_str(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
@@ -342,10 +342,10 @@ int sysdb_search_user_by_name(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -398,10 +398,10 @@ int sysdb_search_user_by_uid(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
@@ -459,10 +459,10 @@ int sysdb_search_group_by_name(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -515,10 +515,10 @@ int sysdb_search_group_by_gid(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
 
     talloc_zfree(tmp_ctx);
@@ -576,10 +576,10 @@ int sysdb_search_netgroup_by_name(TALLOC_CTX *mem_ctx,
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -631,17 +631,17 @@ int sysdb_set_entry_attr(struct sysdb_ctx *sysdb,
     lret = ldb_modify(sysdb->ldb, msg);
     if (lret != LDB_SUCCESS) {
         DEBUG(SSSDBG_MINOR_FAILURE,
-              ("ldb_modify failed: [%s]\n", ldb_strerror(lret)));
+              "ldb_modify failed: [%s]\n", ldb_strerror(lret));
     }
 
     ret = sysdb_error_to_errno(lret);
 
 done:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -791,7 +791,7 @@ int sysdb_get_new_id(struct sysdb_ctx *sysdb,
     case EOK:
         new_id = get_attr_as_uint32(msgs[0], SYSDB_NEXTID);
         if (new_id == (uint32_t)(-1)) {
-            DEBUG(1, ("Invalid Next ID in domain %s\n", domain->name));
+            DEBUG(1, "Invalid Next ID in domain %s\n", domain->name);
             ret = ERANGE;
             goto done;
         }
@@ -801,8 +801,8 @@ int sysdb_get_new_id(struct sysdb_ctx *sysdb,
         }
 
         if ((domain->id_max != 0) && (new_id > domain->id_max)) {
-            DEBUG(0, ("Failed to allocate new id, out of range (%u/%u)\n",
-                      new_id, domain->id_max));
+            DEBUG(0, "Failed to allocate new id, out of range (%u/%u)\n",
+                      new_id, domain->id_max);
             ret = ERANGE;
             goto done;
         }
@@ -836,7 +836,7 @@ int sysdb_get_new_id(struct sysdb_ctx *sysdb,
                                  SYSDB_GIDNUM, new_id);
     }
     if (!filter) {
-        DEBUG(6, ("Error: Out of memory\n"));
+        DEBUG(6, "Error: Out of memory\n");
         ret = ENOMEM;
         goto done;
     }
@@ -861,8 +861,8 @@ int sysdb_get_new_id(struct sysdb_ctx *sysdb,
 
         /* check again we are not falling out of range */
         if ((domain->id_max != 0) && (new_id > domain->id_max)) {
-            DEBUG(0, ("Failed to allocate new id, out of range (%u/%u)\n",
-                      new_id, domain->id_max));
+            DEBUG(0, "Failed to allocate new id, out of range (%u/%u)\n",
+                      new_id, domain->id_max);
             ret = ERANGE;
             goto done;
         }
@@ -881,7 +881,7 @@ int sysdb_get_new_id(struct sysdb_ctx *sysdb,
     /* finally store the new next id */
     msg = ldb_msg_new(tmp_ctx);
     if (!msg) {
-        DEBUG(6, ("Error: Out of memory\n"));
+        DEBUG(6, "Error: Out of memory\n");
         ret = ENOMEM;
         goto done;
     }
@@ -906,7 +906,7 @@ done:
         ldb_transaction_cancel(sysdb->ldb);
     }
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -987,7 +987,7 @@ int sysdb_add_basic_user(struct sysdb_ctx *sysdb,
 
 done:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1190,7 +1190,7 @@ int sysdb_add_user(struct sysdb_ctx *sysdb,
 
     if (domain->mpg) {
         if (gid != 0) {
-            DEBUG(0, ("Cannot add user with arbitrary GID in MPG domain!\n"));
+            DEBUG(0, "Cannot add user with arbitrary GID in MPG domain!\n");
             return EINVAL;
         }
         gid = uid;
@@ -1199,16 +1199,16 @@ int sysdb_add_user(struct sysdb_ctx *sysdb,
     if (domain->id_max != 0 && uid != 0 &&
         (uid < domain->id_min || uid > domain->id_max)) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Supplied uid [%"SPRIuid"] is not in the allowed range "
-               "[%d-%d].\n", uid, domain->id_min, domain->id_max));
+              "Supplied uid [%"SPRIuid"] is not in the allowed range "
+               "[%d-%d].\n", uid, domain->id_min, domain->id_max);
         return ERANGE;
     }
 
     if (domain->id_max != 0 && gid != 0 &&
         (gid < domain->id_min || gid > domain->id_max)) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Supplied gid [%"SPRIgid"] is not in the allowed range "
-               "[%d-%d].\n", gid, domain->id_min, domain->id_max));
+              "Supplied gid [%"SPRIgid"] is not in the allowed range "
+               "[%d-%d].\n", gid, domain->id_min, domain->id_max);
         return ERANGE;
     }
 
@@ -1315,7 +1315,7 @@ done:
         ret = ldb_transaction_commit(sysdb->ldb);
         ret = sysdb_error_to_errno(ret);
     } else {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
         ldb_transaction_cancel(sysdb->ldb);
     }
     talloc_zfree(tmp_ctx);
@@ -1368,7 +1368,7 @@ int sysdb_add_basic_group(struct sysdb_ctx *sysdb,
 
 done:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1393,8 +1393,8 @@ int sysdb_add_group(struct sysdb_ctx *sysdb,
     if (domain->id_max != 0 && gid != 0 &&
         (gid < domain->id_min || gid > domain->id_max)) {
         DEBUG(SSSDBG_OP_FAILURE,
-              ("Supplied gid [%"SPRIgid"] is not in the allowed range "
-               "[%d-%d].\n", gid, domain->id_min, domain->id_max));
+              "Supplied gid [%"SPRIgid"] is not in the allowed range "
+               "[%d-%d].\n", gid, domain->id_min, domain->id_max);
         return ERANGE;
     }
 
@@ -1482,7 +1482,7 @@ done:
         ret = ldb_transaction_commit(sysdb->ldb);
         ret = sysdb_error_to_errno(ret);
     } else {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
         ldb_transaction_cancel(sysdb->ldb);
     }
     talloc_zfree(tmp_ctx);
@@ -1545,7 +1545,7 @@ int sysdb_add_incomplete_group(struct sysdb_ctx *sysdb,
 
 done:
     if (ret != EOK) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1589,7 +1589,7 @@ int sysdb_mod_group_member(struct sysdb_ctx *sysdb,
 
 fail:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(msg);
     return ret;
@@ -1638,7 +1638,7 @@ int sysdb_add_basic_netgroup(struct sysdb_ctx *sysdb,
 
 done:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(msg);
     return ret;
@@ -1702,7 +1702,7 @@ int sysdb_add_netgroup(struct sysdb_ctx *sysdb,
                                  SYSDB_MEMBER_NETGROUP,
                                  missing);
         if (ret != EOK) {
-            DEBUG(SSSDBG_MINOR_FAILURE, ("Could not remove missing attributes\n"));
+            DEBUG(SSSDBG_MINOR_FAILURE, "Could not remove missing attributes\n");
         }
     }
 
@@ -1713,7 +1713,7 @@ done:
     }
 
     if (ret != EOK) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
         ldb_transaction_cancel(sysdb->ldb);
     }
     talloc_zfree(tmp_ctx);
@@ -1765,7 +1765,7 @@ int sysdb_store_user(struct sysdb_ctx *sysdb,
 
     ret = sysdb_transaction_start(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto fail;
     }
 
@@ -1800,8 +1800,8 @@ int sysdb_store_user(struct sysdb_ctx *sysdb,
                 goto fail;
             }
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("A user with the same UID [%llu] was removed from the "
-                   "cache\n", (unsigned long long) uid));
+                  "A user with the same UID [%llu] was removed from the "
+                   "cache\n", (unsigned long long) uid);
             ret = sysdb_add_user(sysdb, domain, name, uid, gid, gecos, homedir,
                                  shell, orig_dn, attrs, cache_timeout, now);
         }
@@ -1810,7 +1810,7 @@ int sysdb_store_user(struct sysdb_ctx *sysdb,
         if (ret == EOK) {
             goto done;
         } else {
-            DEBUG(SSSDBG_OP_FAILURE, ("Could not add user\n"));
+            DEBUG(SSSDBG_OP_FAILURE, "Could not add user\n");
             goto fail;
         }
     }
@@ -1862,14 +1862,14 @@ int sysdb_store_user(struct sysdb_ctx *sysdb,
                                     SYSDB_MEMBER_USER,
                                     remove_attrs);
         if (ret != EOK) {
-            DEBUG(4, ("Could not remove missing attributes\n"));
+            DEBUG(4, "Could not remove missing attributes\n");
         }
     }
 
 done:
     ret = sysdb_transaction_commit(sysdb);
     if (ret != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto fail;
     }
 
@@ -1879,12 +1879,12 @@ fail:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Could not cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Could not cancel transaction\n");
         }
     }
 
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -1957,8 +1957,8 @@ int sysdb_store_group(struct sysdb_ctx *sysdb,
                 goto done;
             }
             DEBUG(SSSDBG_MINOR_FAILURE,
-                  ("A group with the same GID [%llu] was removed from the "
-                   "cache\n", (unsigned long long) gid));
+                  "A group with the same GID [%llu] was removed from the "
+                   "cache\n", (unsigned long long) gid);
             ret = sysdb_add_group(sysdb, domain, name, gid,
                                   attrs, cache_timeout, now);
         }
@@ -1983,7 +1983,7 @@ int sysdb_store_group(struct sysdb_ctx *sysdb,
 
 done:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2086,13 +2086,13 @@ int sysdb_cache_password(struct sysdb_ctx *sysdb,
 
     ret = s3crypt_gen_salt(tmp_ctx, &salt);
     if (ret) {
-        DEBUG(4, ("Failed to generate random salt.\n"));
+        DEBUG(4, "Failed to generate random salt.\n");
         goto fail;
     }
 
     ret = s3crypt_sha512(tmp_ctx, password, salt, &hash);
     if (ret) {
-        DEBUG(4, ("Failed to create password hash.\n"));
+        DEBUG(4, "Failed to create password hash.\n");
         goto fail;
     }
 
@@ -2123,7 +2123,7 @@ int sysdb_cache_password(struct sysdb_ctx *sysdb,
 
 fail:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2149,11 +2149,11 @@ int sysdb_search_custom(TALLOC_CTX *mem_ctx,
 
     basedn = sysdb_custom_subtree_dn(sysdb, mem_ctx, domain, subtree_name);
     if (basedn == NULL) {
-        DEBUG(1, ("sysdb_custom_subtree_dn failed.\n"));
+        DEBUG(1, "sysdb_custom_subtree_dn failed.\n");
         return ENOMEM;
     }
     if (!ldb_dn_validate(basedn)) {
-        DEBUG(1, ("Failed to create DN.\n"));
+        DEBUG(1, "Failed to create DN.\n");
         return EINVAL;
     }
 
@@ -2190,12 +2190,12 @@ int sysdb_search_custom_by_name(TALLOC_CTX *mem_ctx,
     basedn = sysdb_custom_dn(sysdb, tmp_ctx,
                              domain, object_name, subtree_name);
     if (basedn == NULL) {
-        DEBUG(1, ("sysdb_custom_dn failed.\n"));
+        DEBUG(1, "sysdb_custom_dn failed.\n");
         ret = ENOMEM;
         goto done;
     }
     if (!ldb_dn_validate(basedn)) {
-        DEBUG(1, ("Failed to create DN.\n"));
+        DEBUG(1, "Failed to create DN.\n");
         ret = EINVAL;
         goto done;
     }
@@ -2207,7 +2207,7 @@ int sysdb_search_custom_by_name(TALLOC_CTX *mem_ctx,
     }
 
     if (count > 1) {
-        DEBUG(1, ("More than one result found.\n"));
+        DEBUG(1, "More than one result found.\n");
         ret = EFAULT;
         goto done;
     }
@@ -2274,7 +2274,7 @@ int sysdb_store_custom(struct sysdb_ctx *sysdb,
     msg->dn = sysdb_custom_dn(sysdb, tmp_ctx,
                               domain, object_name, subtree_name);
     if (!msg->dn) {
-        DEBUG(1, ("sysdb_custom_dn failed.\n"));
+        DEBUG(1, "sysdb_custom_dn failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -2306,14 +2306,14 @@ int sysdb_store_custom(struct sysdb_ctx *sysdb,
         ret = ldb_modify(sysdb->ldb, msg);
     }
     if (ret != LDB_SUCCESS) {
-        DEBUG(1, ("Failed to store custom entry: %s(%d)[%s]\n",
-                  ldb_strerror(ret), ret, ldb_errstring(sysdb->ldb)));
+        DEBUG(1, "Failed to store custom entry: %s(%d)[%s]\n",
+                  ldb_strerror(ret), ret, ldb_errstring(sysdb->ldb));
         ret = sysdb_error_to_errno(ret);
     }
 
 done:
     if (ret) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
         ldb_transaction_cancel(sysdb->ldb);
     } else {
         ret = ldb_transaction_commit(sysdb->ldb);
@@ -2346,7 +2346,7 @@ int sysdb_delete_custom(struct sysdb_ctx *sysdb,
     dn = sysdb_custom_dn(sysdb, tmp_ctx,
                          domain, object_name, subtree_name);
     if (dn == NULL) {
-        DEBUG(1, ("sysdb_custom_dn failed.\n"));
+        DEBUG(1, "sysdb_custom_dn failed.\n");
         ret = ENOMEM;
         goto done;
     }
@@ -2360,8 +2360,8 @@ int sysdb_delete_custom(struct sysdb_ctx *sysdb,
         break;
 
     default:
-        DEBUG(1, ("LDB Error: %s(%d)\nError Message: [%s]\n",
-                  ldb_strerror(ret), ret, ldb_errstring(sysdb->ldb)));
+        DEBUG(1, "LDB Error: %s(%d)\nError Message: [%s]\n",
+                  ldb_strerror(ret), ret, ldb_errstring(sysdb->ldb));
         ret = sysdb_error_to_errno(ret);
         break;
     }
@@ -2457,10 +2457,10 @@ int sysdb_asq_search(TALLOC_CTX *mem_ctx,
 
 fail:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2489,20 +2489,20 @@ int sysdb_search_users(TALLOC_CTX *mem_ctx,
     basedn = ldb_dn_new_fmt(tmp_ctx, sysdb->ldb,
                             SYSDB_TMPL_USER_BASE, domain->name);
     if (!basedn) {
-        DEBUG(2, ("Failed to build base dn\n"));
+        DEBUG(2, "Failed to build base dn\n");
         ret = ENOMEM;
         goto fail;
     }
 
     filter = talloc_asprintf(tmp_ctx, "(&(%s)%s)", SYSDB_UC, sub_filter);
     if (!filter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("Search users with filter: %s\n", filter));
+          "Search users with filter: %s\n", filter);
 
     ret = sysdb_search_entry(mem_ctx, sysdb, basedn,
                              LDB_SCOPE_SUBTREE, filter, attrs,
@@ -2516,10 +2516,10 @@ int sysdb_search_users(TALLOC_CTX *mem_ctx,
 
 fail:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2561,7 +2561,7 @@ int sysdb_delete_user(struct sysdb_ctx *sysdb,
             c_name = ldb_msg_find_attr_as_string(msg, SYSDB_NAME, NULL);
             c_uid = ldb_msg_find_attr_as_uint64(msg, SYSDB_UIDNUM, 0);
             if (c_name == NULL || c_uid == 0) {
-                DEBUG(2, ("Attribute is missing but this should never happen!\n"));
+                DEBUG(2, "Attribute is missing but this should never happen!\n");
                 ret = EFAULT;
                 goto fail;
             }
@@ -2618,7 +2618,7 @@ int sysdb_delete_user(struct sysdb_ctx *sysdb,
     return EOK;
 
 fail:
-    DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+    DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     talloc_zfree(tmp_ctx);
     return ret;
 }
@@ -2647,20 +2647,20 @@ int sysdb_search_groups(TALLOC_CTX *mem_ctx,
     basedn = ldb_dn_new_fmt(tmp_ctx, sysdb->ldb,
                             SYSDB_TMPL_GROUP_BASE, domain->name);
     if (!basedn) {
-        DEBUG(2, ("Failed to build base dn\n"));
+        DEBUG(2, "Failed to build base dn\n");
         ret = ENOMEM;
         goto fail;
     }
 
     filter = talloc_asprintf(tmp_ctx, "(&(%s)%s)", SYSDB_GC, sub_filter);
     if (!filter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
 
     DEBUG(SSSDBG_TRACE_INTERNAL,
-          ("Search groups with filter: %s\n", filter));
+          "Search groups with filter: %s\n", filter);
 
     ret = sysdb_search_entry(mem_ctx, sysdb, basedn,
                              LDB_SCOPE_SUBTREE, filter, attrs,
@@ -2674,10 +2674,10 @@ int sysdb_search_groups(TALLOC_CTX *mem_ctx,
 
 fail:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_INTERNAL, ("No such entry\n"));
+        DEBUG(SSSDBG_TRACE_INTERNAL, "No such entry\n");
     }
     else if (ret) {
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2717,7 +2717,7 @@ int sysdb_delete_group(struct sysdb_ctx *sysdb,
         c_name = ldb_msg_find_attr_as_string(msg, SYSDB_NAME, NULL);
         c_gid = ldb_msg_find_attr_as_uint64(msg, SYSDB_GIDNUM, 0);
         if (c_name == NULL || c_gid == 0) {
-            DEBUG(2, ("Attribute is missing but this should never happen!\n"));
+            DEBUG(2, "Attribute is missing but this should never happen!\n");
             ret = EFAULT;
             goto fail;
         }
@@ -2737,7 +2737,7 @@ int sysdb_delete_group(struct sysdb_ctx *sysdb,
     return EOK;
 
 fail:
-    DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+    DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     talloc_zfree(tmp_ctx);
     return ret;
 }
@@ -2765,19 +2765,19 @@ int sysdb_search_netgroups(TALLOC_CTX *mem_ctx,
     basedn = ldb_dn_new_fmt(tmp_ctx, sysdb->ldb,
                             SYSDB_TMPL_NETGROUP_BASE, domain->name);
     if (!basedn) {
-        DEBUG(2, ("Failed to build base dn\n"));
+        DEBUG(2, "Failed to build base dn\n");
         ret = ENOMEM;
         goto fail;
     }
 
     filter = talloc_asprintf(tmp_ctx, "(&(%s)%s)", SYSDB_NC, sub_filter);
     if (!filter) {
-        DEBUG(2, ("Failed to build filter\n"));
+        DEBUG(2, "Failed to build filter\n");
         ret = ENOMEM;
         goto fail;
     }
 
-    DEBUG(6, ("Search netgroups with filter: %s\n", filter));
+    DEBUG(6, "Search netgroups with filter: %s\n", filter);
 
     ret = sysdb_search_entry(mem_ctx, sysdb, basedn,
                              LDB_SCOPE_SUBTREE, filter, attrs,
@@ -2791,9 +2791,9 @@ int sysdb_search_netgroups(TALLOC_CTX *mem_ctx,
 
 fail:
     if (ret == ENOENT) {
-        DEBUG(SSSDBG_TRACE_FUNC, ("Entry not found\n"));
+        DEBUG(SSSDBG_TRACE_FUNC, "Entry not found\n");
     } else {
-        DEBUG(SSSDBG_OP_FAILURE, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(SSSDBG_OP_FAILURE, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_zfree(tmp_ctx);
     return ret;
@@ -2819,11 +2819,11 @@ int sysdb_delete_netgroup(struct sysdb_ctx *sysdb,
     ret = sysdb_search_netgroup_by_name(tmp_ctx, sysdb, domain,
                                         name, NULL, &msg);
     if (ret != EOK && ret != ENOENT) {
-        DEBUG(6, ("sysdb_search_netgroup_by_name failed: %d (%s)\n",
-                   ret, strerror(ret)));
+        DEBUG(6, "sysdb_search_netgroup_by_name failed: %d (%s)\n",
+                   ret, strerror(ret));
         goto done;
     } else if (ret == ENOENT) {
-        DEBUG(6, ("Netgroup does not exist, nothing to delete\n"));
+        DEBUG(6, "Netgroup does not exist, nothing to delete\n");
         ret = EOK;
         goto done;
     }
@@ -2835,7 +2835,7 @@ int sysdb_delete_netgroup(struct sysdb_ctx *sysdb,
 
 done:
     if (ret != EOK) {
-        DEBUG(6, ("Error: %d (%s)\n", ret, strerror(ret)));
+        DEBUG(6, "Error: %d (%s)\n", ret, strerror(ret));
     }
     talloc_free(tmp_ctx);
     return ret;
@@ -2871,8 +2871,8 @@ errno_t check_failed_login_attempts(struct confdb_ctx *cdb,
                          CONFDB_DEFAULT_PAM_FAILED_LOGIN_ATTEMPTS,
                          &allowed_failed_login_attempts);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to read the number of allowed failed login "
-                  "attempts.\n"));
+        DEBUG(1, "Failed to read the number of allowed failed login "
+                  "attempts.\n");
         ret = ERR_INTERNAL;
         goto done;
     }
@@ -2881,30 +2881,30 @@ errno_t check_failed_login_attempts(struct confdb_ctx *cdb,
                          CONFDB_DEFAULT_PAM_FAILED_LOGIN_DELAY,
                          &failed_login_delay);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to read the failed login delay.\n"));
+        DEBUG(1, "Failed to read the failed login delay.\n");
         ret = ERR_INTERNAL;
         goto done;
     }
-    DEBUG(9, ("Failed login attempts [%d], allowed failed login attempts [%d], "
+    DEBUG(9, "Failed login attempts [%d], allowed failed login attempts [%d], "
               "failed login delay [%d].\n", *failed_login_attempts,
-              allowed_failed_login_attempts, failed_login_delay));
+              allowed_failed_login_attempts, failed_login_delay);
 
     if (allowed_failed_login_attempts) {
         if (*failed_login_attempts >= allowed_failed_login_attempts) {
             if (failed_login_delay) {
                 end = last_failed_login + (failed_login_delay * 60);
                 if (end < time(NULL)) {
-                    DEBUG(7, ("failed_login_delay has passed, "
-                              "resetting failed_login_attempts.\n"));
+                    DEBUG(7, "failed_login_delay has passed, "
+                              "resetting failed_login_attempts.\n");
                     *failed_login_attempts = 0;
                 } else {
-                    DEBUG(7, ("login delayed until %lld.\n", (long long) end));
+                    DEBUG(7, "login delayed until %lld.\n", (long long) end);
                     *delayed_until = end;
                     ret = ERR_AUTH_DENIED;
                     goto done;
                 }
             } else {
-                DEBUG(4, ("Too many failed logins.\n"));
+                DEBUG(4, "Too many failed logins.\n");
                 ret = ERR_AUTH_DENIED;
                 goto done;
             }
@@ -2945,22 +2945,22 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
     int ret;
 
     if (name == NULL || *name == '\0') {
-        DEBUG(1, ("Missing user name.\n"));
+        DEBUG(1, "Missing user name.\n");
         return EINVAL;
     }
 
     if (cdb == NULL) {
-        DEBUG(1, ("Missing config db context.\n"));
+        DEBUG(1, "Missing config db context.\n");
         return EINVAL;
     }
 
     if (sysdb == NULL) {
-        DEBUG(1, ("Missing sysdb db context.\n"));
+        DEBUG(1, "Missing sysdb db context.\n");
         return EINVAL;
     }
 
     if (!domain->cache_credentials) {
-        DEBUG(3, ("Cached credentials not available.\n"));
+        DEBUG(3, "Cached credentials not available.\n");
         return EINVAL;
     }
 
@@ -2979,8 +2979,8 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
     ret = sysdb_search_user_by_name(tmp_ctx, sysdb, domain,
                                     name, attrs, &ldb_msg);
     if (ret != EOK) {
-        DEBUG(1, ("sysdb_search_user_by_name failed [%d][%s].\n",
-                  ret, strerror(ret)));
+        DEBUG(1, "sysdb_search_user_by_name failed [%d][%s].\n",
+                  ret, strerror(ret));
         if (ret == ENOENT) ret = ERR_ACCOUNT_UNKNOWN;
         goto done;
     }
@@ -2993,16 +2993,16 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
     ret = confdb_get_int(cdb, CONFDB_PAM_CONF_ENTRY,
                          CONFDB_PAM_CRED_TIMEOUT, 0, &cred_expiration);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to read expiration time of offline credentials.\n"));
+        DEBUG(1, "Failed to read expiration time of offline credentials.\n");
         goto done;
     }
-    DEBUG(9, ("Offline credentials expiration is [%d] days.\n",
-              cred_expiration));
+    DEBUG(9, "Offline credentials expiration is [%d] days.\n",
+              cred_expiration);
 
     if (cred_expiration) {
         expire_date = lastLogin + (cred_expiration * 86400);
         if (expire_date < time(NULL)) {
-            DEBUG(4, ("Cached user entry is too old.\n"));
+            DEBUG(4, "Cached user entry is too old.\n");
             expire_date = 0;
             ret = ERR_CACHED_CREDS_EXPIRED;
             goto done;
@@ -3014,7 +3014,7 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
     ret = check_failed_login_attempts(cdb, ldb_msg, &failed_login_attempts,
                                       &delayed_until);
     if (ret != EOK) {
-        DEBUG(1, ("Failed to check login attempts\n"));
+        DEBUG(1, "Failed to check login attempts\n");
         goto done;
     }
 
@@ -3022,28 +3022,28 @@ int sysdb_cache_auth(struct sysdb_ctx *sysdb,
 
     userhash = ldb_msg_find_attr_as_string(ldb_msg, SYSDB_CACHEDPWD, NULL);
     if (userhash == NULL || *userhash == '\0') {
-        DEBUG(4, ("Cached credentials not available.\n"));
+        DEBUG(4, "Cached credentials not available.\n");
         ret = ERR_NO_CACHED_CREDS;
         goto done;
     }
 
     ret = s3crypt_sha512(tmp_ctx, password, userhash, &comphash);
     if (ret) {
-        DEBUG(4, ("Failed to create password hash.\n"));
+        DEBUG(4, "Failed to create password hash.\n");
         ret = ERR_INTERNAL;
         goto done;
     }
 
     update_attrs = sysdb_new_attrs(tmp_ctx);
     if (update_attrs == NULL) {
-        DEBUG(1, ("sysdb_new_attrs failed.\n"));
+        DEBUG(1, "sysdb_new_attrs failed.\n");
         ret = ENOMEM;
         goto done;
     }
 
     if (strcmp(userhash, comphash) == 0) {
         /* TODO: probable good point for audit logging */
-        DEBUG(4, ("Hashes do match!\n"));
+        DEBUG(4, "Hashes do match!\n");
         authentication_successful = true;
 
         if (just_check) {
